Package org.opensaml.core.config

# Interface ConfigurationProperties

All Known Implementing Classes:
  `EmptyConfigurationProperties`, `PropertiesAdapter`, `SpringPropertiesAdapter`

public interface ConfigurationProperties
An interface for a property set.

## Method Summary

Modifier and Type
Method
Description
`String`
`getProperty(String key)`
Return the property value with the specified key, or null.
`String`
`getProperty(String key, String defaultValue)`
Return the property value with the specified key, or the specified default value if key does not exist.

## Method Details

### getProperty

@Nullable String getProperty(@Nonnull String key)
Return the property value with the specified key, or null.

Parameters:
  `key` - the property key
Returns:
  the property value, or null

### getProperty

@Nonnull String getProperty(@Nonnull String key, @Nonnull String defaultValue)
Return the property value with the specified key, or the specified default value if key does not exist.

Parameters:
  `key` - the property key
  `defaultValue` - the default value to return
Returns:
  the property value, or the specified default value